%define emacsver	20.7
%define xemacsver	21.4.10-6

%define	lispdir	%{_datadir}/emacs/site-lisp
%define	pkgdir	%{_datadir}/xemacs/xemacs-packages

Name:		apel
Version:	10.6
Release: 5.XOS.1
License:	GPL
URL:		ftp://ftp.m17n.org/pub/mule/apel/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch
Source0:	apel-%{version}.tar.gz
Patch0: 	APEL-CFG.patch
Patch1:		apel-10.4-missing-el.patch

Summary:	A Portable Emacs Library
Group:   	Applications/Editors
Buildrequires:  emacs
Requires:	emacs-common

%package xemacs
Summary: A Portable [X]Emacs Library
Group:  Applications/Editors
Buildrequires: xemacs
Requires: xemacs-common
Conflicts: xemacs < %{xemacsver}

%description
APEL stands for "A Portable Emacs Library". It consists of
following modules:

poe.el - This is an emulation module mainly for basic
functions and special forms/macros of latest emacsen.
poem.el - This module provides basic functions to write
portable MULE programs.
pces.el - This module provides portable character encoding
scheme (coding-system) features.
invisible.el - This modules provides features about invisible
region.
mcharset.el - This modules provides MIME charset related
features.

and other some utility modules


%description xemacs
APEL stands for "A Portable Emacs Library". This is the 
XEmacs version of APEL. You may install apel instead of 
this if you use GNU Emacs.


%prep
%setup -q
%patch -p1 -b .cfg
%patch1 -p1 -b .missing

%build


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make PREFIX=$RPM_BUILD_ROOT%{_prefix} \
	LISPDIR=$RPM_BUILD_ROOT%{lispdir} install
##	VERSION_SPECIFIC_LISPDIR=$RPM_BUILD_ROOT%{lispdir} \

make clean

make XEMACS=xemacs PACKAGEDIR=$RPM_BUILD_ROOT%{pkgdir} install-package


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README.ja README.en ChangeLog
%{lispdir}/apel


%files xemacs
%defattr(-,root,root)
%doc README.ja README.en ChangeLog
%{pkgdir}/lisp/apel

 
%changelog
* Thu Jul 28 2005 X/OS Linux Team <xoslinux@xos.nl> 10.6-5.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on apel-10.6-5.src.rpm
  (md5sum of original source rpm: 7afeeb88903019d176e5982d8a0b83e3).

* Wed Oct  6 2004 Akira TAGOH <tagoh@redhat.com> - 10.6-5
- require emacs-common instead of emacs.

* Wed Oct  6 2004 Akira TAGOH <tagoh@redhat.com> - 10.6-4
- require xemacs-common instead of xemacs. (#134479)

* Mon Sep 27 2004 Akira TAGOH <tagoh@redhat.com> - 10.6-3
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jul 07 2003 Akira TAGOH <tagoh@redhat.com> 10.6-1
- New upstream release.

* Wed May 14 2003 Akira TAGOH <tagoh@redhat.com> 10.4-4
- apel-10.4-missing-el.patch: contains atype.el and file-detect.el (#90604)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan  3 2003 Jens Petersen <petersen@redhat.com> 10.4-2
- rebuild

* Wed Jan  1 2003 Jens Petersen <petersen@redhat.com> 10.4-1
- update to 10.4
- resurrect -xemacs subpackage, required by latest xemacs package
- install xemacs package under datadir
- own xemacs package lisp dir

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 10.3-8
- rebuild

* Thu Jul 18 2002 Akira TAGOH <tagoh@redhat.com> 10.3-7
- s/Copyright/License/
- add the owned directory.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Feb 24 2002 Tim Powers <timp@redhat.com>
- rebuilt in new environment

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat Jun 23 2001 SATO Satoru <ssato@redhat.com>
- apel-xemacs removed because XEmacs already includes it.
- made "emu" modules installed in apel/ subdirectory

* Wed Jun 20 2001 SATO Satoru <ssato@redhat.com>
- initial release (separated from semi)
